{
  "wallpaper": "https://xhdwc.tk/api/img.php",
  "spider": "https://files.zohopublic.com.cn/public/workdrive-public/download/gd5ic01b6d4922692401eac6018178d033d06;md5;364c0f012e73a8801a69900fc25ae9c1",
  "lives": [
    {
      "name": "tvlive",
      "type": 0,
      "url": "https://xhdwc.tk/tvlive.txt",
      "playerType": 1
    }
  ],
  "sites": [
{
"key": "豆瓣推荐",
"name": "豆瓣推荐",
"type": 3,
"api": "csp_DouDou",
"searchable": 0,
"quickSearch": 0,
"filterable": 0
},
    {
      "key": "荐片",
      "name": "荐片",
      "type": 3,
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1,
      "playerType": "1",
      "api": "https://agit.ai/fantaiying/dr_py/raw/branch/main/libs/drpy2.min.js",
      "ext": "https://agit.ai/fantaiying/fty/raw/branch/master/JS/js/jp.js"
    },
    {"key":"爱奇异","name":"📺爱奇艺(官)","type":3,"api":"http://1.12.237.246:9696/tvbox/lib/drpy2.min.js","ext":"http://1.12.237.246:9696/tvbox/lib/aiqiyi.js"},
    {"key":"优酷","name":"📺优酷(官)","type":3,"api":"http://1.12.237.246:9696/tvbox/lib/drpy2.min.js","ext":"http://1.12.237.246:9696/tvbox/lib/youku.js"},
    {"key":"腾讯","name":"📺腾讯(官)","type":3,"api":"http://1.12.237.246:9696/tvbox/lib/drpy2.min.js","ext":"http://1.12.237.246:9696/tvbox/lib/tengxun.js"},
    {"key":"芒果","name":"📺芒果(官)","type":3,"api":"http://1.12.237.246:9696/tvbox/lib/drpy2.min.js","ext":"http://1.12.237.246:9696/tvbox/lib/mangguo.js"},
{
"key": "77",
"name": "七七",
"type": 3,
"api": "csp_Kunyu77",
"searchable": 1,
"quickSearch": 1,
"changeable": 1
},
    {
      "key": "csp_Auete",
      "name": "Auete",
      "type": 3,
      "api": "csp_Auete",
      "searchable": 1,
      "quickSearch": 0,
      "filterable": 1
    },
    {
      "key": "南瓜",
      "name": "南瓜",
      "type": 3,
      "api": "csp_NanGua",
      "playerType": 2,
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1
    },
    {
      "key": "csp_短剧网香",
      "name": "🧡短剧五",
      "type": 3,
      "api": "csp_XYQHiker",
      "jar": "./lib/dj2.jar",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "ext": {
        "规则名": "短剧网",
        "规则作者": "醉卧东风",
        "请求头参数": "User-Agent$MOBILE_UA#Referer$WebView",
        "网页编码格式": "UTF-8",
        "图片是否需要代理": "0",
        "是否开启获取首页数据": "1",
        "首页推荐链接": "https://www.duanju5.com",
        "首页列表数组规则": "body&&.module-items",
        "首页片单列表数组规则": ".module-item",
        "首页片单是否Jsoup写法": "1",
        "分类起始页码": "1",
        "分类链接": "https://www.duanju5.com/vodtype/{cateId}-{catePg}.html",
        "分类名称": "逆袭&甜宠&虐恋&穿越&重生",
        "分类名称替换词": "nixi&tianchong&nuelian&chuanyue&chuanyue&chongsheng",
        "分类截取模式": "1",
        "分类列表数组规则": "body&&.module-item",
        "分类片单是否Jsoup写法": "1",
        "分类片单标题": "a&&title",
        "分类片单链接": "a&&href",
        "分类片单图片": ".lazyloaded||.lazyload&&data-src||data-original",
        "分类片单副标题": ".module-item-note||.module-item-text&&Text",
        "分类片单链接加前缀": "https://www.duanju5.com",
        "分类片单链接加后缀": "",
        "搜索请求头参数": "User-Agent$MOBILE_UA",
        "搜索链接": "https://www.duanju5.com/vodsearch/{wd}----------{SearchPg}---.html",
        "POST请求数据": "",
        "搜索截取模式": "1",
        "搜索列表数组规则": "body&&.module-search-item",
        "搜索片单是否Jsoup写法": "1",
        "搜索片单图片": ".lazyload&&data-src",
        "搜索片单标题": "h3&&Text",
        "搜索片单链接": "a&&href",
        "搜索片单副标题": ".video-serial&&Text",
        "搜索片单链接加前缀": "https://www.duanju5.com",
        "搜索片单链接加后缀": "",
        "链接是否直接播放": "0",
        "直接播放链接加前缀": "",
        "直接播放链接加后缀": "#isVideo=true#",
        "直接播放直链视频请求头": "",
        "详情是否Jsoup写法": "0",
        "类型详情": "",
        "年代详情": "",
        "地区详情": "",
        "演员详情": "主演：</span>&&</div>",
        "简介详情": "introduction\">&&</p>",
        "线路列表数组规则": ".module-player-tab&&.module-tab-item",
        "线路标题": "Text",
        "播放列表数组规则": "body&&.module-player-list:has(.scroll-content)",
        "选集列表数组规则": ".scroll-content&&a",
        "选集标题链接是否Jsoup写法": "1",
        "选集标题": "a&&Text",
        "选集链接": "a&&href",
        "是否反转选集序列": "0",
        "选集链接加前缀": "https://www.duanju5.com",
        "选集链接加后缀": "",
        "分析MacPlayer": "0",
        "是否开启手动嗅探": "1",
        "手动嗅探视频链接关键词": ".mp4#.m3u8#.flv#video/tos",
        "手动嗅探视频链接过滤词": ".html#?url=http"
      }
    },
    {
      "key": "csp_Bttoo",
      "name": "Bttwoo",
      "type": 3,
      "api": "csp_Bttwoo",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1
    },
    {
      "key": "csp_Nmys",
      "name": "农民",
      "type": 3,
      "api": "csp_Nmys",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1,
      "ext": "https://agit.ai/fantaiying/fty/raw/branch/master/json/nmys.json"
    },
    {
      "key": "迪迪",
      "name": "迪迪",
      "api": "csp_AppYsV2",
      "type": 3,
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1,
      "ext": "https://api123.adys.app/xgapp.php/v3/"
    },
    {
      "key": "腐宅",
      "name": "腐宅",
      "type": 3,
      "api": "csp_AppYsV2",
      "searchable": 1,
      "quickSearch": 0,
      "filterable": 1,
      "changeable": 0,
      "ext": "http://app.zhaifutvapp.com/ruifenglb_api.php/v1.vod"
    },
    {
      "key": "索尼",
      "name": "索尼 ",
      "type": 1,
      "api": "https://suoniapi.com/api.php/provide/vod/from/snm3u8/",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1
    },
    {
      "key": "drpy_js_花猫TV",
      "name": "花猫TV[js]",
      "type": 3,
      "quickSearch": 0,
      "api": "https://100km.top/lib/drpy2.min.js",
      "ext": "https://100km.top/js/花猫TV.js"
    },
    {
      "key": "drpy_js_骚火电影",
      "name": "骚火电影[js]",
      "type": 3,
      "searchable": 1,
      "quickSearch": 0,
      "api": "https://100km.top/lib/drpy2.min.js",
      "ext": "https://100km.top/js/骚火电影.js"
    },
    {
      "key": "豪华",
      "name": "豪华",
      "type": 1,
      "quickSearch": 0,
      "api": "https://hhzyapi.com/api.php/provide/vod/from/hhm3u8/at/json",
      "searchable": 1,
      "changeable": 1
    },
    {
      "key": "暴风",
      "name": "暴风",
      "type": 1,
      "quickSearch": 0,
      "api": "https://bfzyapi.com/api.php/provide/vod",
      "searchable": 1,
      "changeable": 1
    },
    {
      "key": "量子",
      "name": "量子",
      "type": 0,
      "api": "https://cj.lziapi.com/api.php/provide/vod/from/lzm3u8/at/xml/",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1
    },
    {
      "key": "新浪",
      "name": "新浪",
      "type": 0,
      "api": "https://api.xinlangapi.com/xinlangapi.php/provide/vod/from/xlm3u8/at/xml/",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1
    },
    {
      "key": "金鹰",
      "name": "金鹰",
      "type": 0,
      "api": "https://jyzyapi.com/provide/vod/from/jinyingm3u8/at/xml/",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1
    },
    {
      "key": "极光",
      "name": "极光",
      "type": 0,
      "api": "https://jiguang.la/api.php/provide/vod/from/jiguang/at/xml",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1
    },
    {
      "key": "种子短剧",
      "name": "种子短剧",
      "type": 1,
      "api": "http://zzdj.cc/api.php/provide/vod",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 1
    },
    {
      "key": "虎牙",
      "name": "虎牙直播",
      "type": 3,
      "api": "https://www.agit.ai/fantaiying/fty/raw/branch/master/JS/drpy1.min.js",
      "ext": "https://www.agit.ai/fantaiying/dr_py/raw/branch/main/js/虎牙直播.js",
      "style": {
        "type": "rect",
        "ratio": 1.755
      },
      "searchable": 0,
      "quickSearch": 0,
      "changeable": 0
    },
    {
      "key": "Bili",
      "name": "Bili",
      "type": 3,
      "api": "csp_Bili",
      "style": {
        "type": "rect",
        "ratio": 1.597
      },
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 0,
      "ext": "https://xhdwc.tk/json/bilibili.json"
    },
    {
      "key": "csp_WoGG",
      "name": "玩偶哥哥(饭太硬)",
      "type": 3,
      "api": "csp_WoGG",
      "searchable": 1,
      "quickSearch": 0,
      "changeable": 0,
      "ext": "http://127.0.0.1:9978/file/tvfan/token.json+4k|auto|fhd$$$http://www.wogg.xyz/$$$弹"
    }
  ],
  "rules": [
    {
      "name": "proxy",
      "hosts": [
        "raw.githubusercontent.com",
        "googlevideo.com",
        "cdn.v82u1l.com",
        "cdn.iz8qkg.com",
        "cdn.kin6c1.com",
        "c.biggggg.com",
        "c.olddddd.com",
        "haiwaikan.com",
        "www.histar.tv",
        "youtube.com",
        "uhibo.com",
        ".*boku.*",
        ".*nivod.*",
        ".*ulivetv.*"
      ]
    },
    {
      "name": "海外看",
      "hosts": [
        "haiwaikan"
      ],
      "regex": [
        "10.0099",
        "10.3333",
        "16.0599",
        "8.1748",
        "10.85"
      ]
    },
    {
      "name": "索尼",
      "hosts": [
        "suonizy"
      ],
      "regex": [
        "15.1666",
        "15.2666"
      ]
    },
    {
      "name": "暴風",
      "hosts": [
        "bfzy"
      ],
      "regex": [
        "#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:3,[\\s\\S]*?#EXT-X-DISCONTINUITY"
      ]
    },
    {
      "name": "星星",
      "hosts": [
        "aws.ulivetv.net"
      ],
      "regex": [
        "#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:8,[\\s\\S]*?#EXT-X-DISCONTINUITY"
      ]
    },
    {
      "name": "量子",
      "hosts": [
        "vip.lz",
        "hd.lz",
        "v.cdnlz"
      ],
      "regex": [
        "18.5333"
      ]
    },
    {
      "name": "非凡",
      "hosts": [
        "vip.ffzy",
        "hd.ffzy"
      ],
      "regex": [
        "25.0666"
      ]
    },
    {
      "name": "火山嗅探",
      "hosts": [
        "huoshan.com"
      ],
      "regex": [
        "item_id="
      ]
    },
    {
      "name": "抖音嗅探",
      "hosts": [
        "douyin.com"
      ],
      "regex": [
        "is_play_url="
      ]
    },

    {
      "name": "農民嗅探",
      "hosts": [
        "toutiaovod.com"
      ],
      "regex": [
        "video/tos/cn"
      ]
    }
  ],
"parses": [

    {"name":"聚合","type":3,"url":"Demo","header":{"User-Agent":"Mozilla/5.0"}},

    {"name": "彩虹","type": 1, "url": "http://1.12.237.246:2237/jx/api.php?url=","ext": {"flag": ["qq","腾讯","qiyi", "爱奇艺", "奇艺", "youku", "优酷", "mgtv", "芒果", "letv", "乐视", "pptv", "PPTV", "sohu", "bilibili", "哔哩哔哩", "哔哩"],"header":{"User-Agent":"okhttp/4.1.0"}}},

    {"name":"-M3U8-","type":1,"url":"https://m3u8.efj.cc/?url=","ext":{"flags":["youku","qq","iqiyi","qiyi","letv","sohu","tudou","pptv","mgtv","wasu","bilibili","renrenmi"]}}
     
],
"flags":["youku","qq","iqiyi","qiyi","letv","sohu","tudou","pptv","mgtv","wasu","bilibili","renrenmi"]
}